Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
Botan::Compression_Alloc_Info Class Reference

`#include <compress_utils.h>`

## Static Public Member Functions
static void | free (void *self, void *ptr)
template<typename T >
static void * | malloc (void *self, T n, T size)

## Detailed Description

Definition at line 20 of file compress_utils.h.

## Member Function Documentation

static void Botan::Compression_Alloc_Info::free | ( | void * | self,
|  | void * | ptr
| ) |  |
| inline static

Definition at line 29 of file compress_utils.h.

30 {
31 static_cast<Compression_Alloc_Info*>(self)->do_free(ptr);
32 }
template<typename T >

static void* Botan::Compression_Alloc_Info::malloc | ( | void * | self,
|  | T | n,
|  | T | size
| ) |  |
| inline static

Definition at line 24 of file compress_utils.h.

25 {
26 return static_cast<Compression_Alloc_Info*>(self)->do_malloc(n, size);
27 }

The documentation for this class was generated from the following files:

- src/lib/compression/compress_utils.h
- src/lib/compression/compress_utils.cpp